# HTTP
%dev.quarkus.http.cors.enabled=true
%dev.quarkus.http.port=8081
%dev.quarkus.http.cors.origins=/.*/
%dev.quarkus.http.cors.access-control-allow-credentials=true
quarkus.http.access-log.enabled=true

# HTTP Test
%test.quarkus.http.test-port=9081

# Auth
quarkus.http.auth.permission.authenticated.paths=/*
quarkus.http.auth.permission.authenticated.policy=authenticated

# Postgres
quarkus.hibernate-orm.schema-management.strategy=validate
quarkus.datasource.db-kind=postgresql
%dev.quarkus.datasource.username=postgres
%dev.quarkus.datasource.password=postgres
%dev.quarkus.datasource.jdbc.url=jdbc:postgresql://localhost:5432/postgres

# Flyway
%dev,test.quarkus.flyway.clean-at-start=true
quarkus.flyway.migrate-at-start=true

# OIDC Server
quarkus.oidc.auth-server-url=http://localhost:8089/api/realms/maven
quarkus.oidc.client-id=backend
quarkus.oidc-client.auth-server-url=http://localhost:8089/api/realms/maven
quarkus.oidc-client.client-id=backend
quarkus.oidc-client.credentials.secret=backend

# OIDC REST
quarkus.rest-client.idp.url=http://localhost:8089/api/realms/maven